Mailinglist Archive: opensuse-buildservice (95 mails)

< Previous Next >
[opensuse-buildservice] Unresolvable module packages in CentOS 8
I have some packages in a project which need packages from the CentOS
8 module streams, but these packages are unresolvable even though they
are available in the CentOS 8 repos.

I have found before that I need to use the "ExpandFlags: module-xxx"
directive in the Project Configuration, and for example adding
"ExpandFlags: module:python36-3.6" worked for packages requiring
Python for me.

But now I need JDK 1.8.0 for one package and even though I added
"ExpandFlags: module:javapackages-runtime-201801", the package
"javapackages-filesystem" is unresolvable.

And in a package requiring either "mariadb-devel" or "mysql-devel",
both of these are unresolvable, even after adding "ExpandFlags:
module:mariadb-10.3" and "ExpandFlags: module:mysql-8.0".

This is my C8 meta setup BTW:
<repository name="CentOS_8">
<path project="openSUSE.org:CentOS:CentOS-8" repository="baseos"/>
<path project="openSUSE.org:CentOS:CentOS-8" repository="appstream"/>
<path project="openSUSE.org:CentOS:CentOS-8" repository="extras"/>
<path project="openSUSE.org:CentOS:CentOS-8" repository="powertools"/>
<path project="openSUSE.org:Fedora:EPEL:8" repository="CentOS"/>
<arch>x86_64</arch>
</repository>

Is this a bug or do I need to set up something in project configuration?

Best regards

Ondrej M.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages